package com.vseravno.solna.adapter;

import org.jdom2.Element;
import org.jdom2.input.StAXEventBuilder;
import org.jdom2.transform.JDOMResult;

import javax.xml.stream.XMLEventReader;

public class Jdom2Adapter implements Adapter<Element> {
    @Override
    public Element buildElement(XMLEventReader reader) throws Exception {
        return new StAXEventBuilder().build(reader).getRootElement();
    }

    @Override
    public String getElementClassName() {
        return "org.jdom2.Element";
    }
}
