package com.vseravno.solna.adapter;

import javax.xml.stream.XMLEventReader;
import javax.xml.transform.stream.StreamResult;
import java.io.StringWriter;

public class StringAdapter implements Adapter<String> {
    @Override
    public String buildElement(XMLEventReader reader) throws Exception {
        StringWriter writer = new StringWriter();

        TransformUtils.transform(reader, new StreamResult(writer));

        return writer.toString();
    }

    @Override
    public String getElementClassName() {
        return "java.lang.String";
    }
}
