package com.vseravno.solna.adapter;

import org.jdom.Element;
import org.jdom.transform.JDOMResult;

import javax.xml.stream.XMLEventReader;

public class Jdom1Adapter implements Adapter<Element> {
    @Override
    public Element buildElement(XMLEventReader reader) throws Exception {
        JDOMResult result = new JDOMResult();

        TransformUtils.transform(reader, result);

        return result.getDocument().getRootElement();
    }

    @Override
    public String getElementClassName() {
        return "org.jdom.Element";
    }
}
