package com.vseravno.solna.adapter;

import nu.xom.Builder;
import nu.xom.Document;
import nu.xom.Element;

import javax.xml.stream.XMLEventReader;
import javax.xml.transform.stax.StAXSource;
import javax.xml.transform.stream.StreamResult;
import java.io.StringWriter;

public class XomAdapter implements Adapter<Element> {
    private StringAdapter stringAdapter = new StringAdapter();

    @Override
    public Element buildElement(XMLEventReader reader) throws Exception {
        String string = stringAdapter.buildElement(reader);

        Document document = new Builder().build(string, null);

        return document.getRootElement();
    }

    @Override
    public String getElementClassName() {
        return "nu.xom.Element";
    }
}
